<?php
/**
 * Displays an accessibility-friendly link to edit a post or page.
 *
 * This also gives us a little context about what exactly we're editing
 * (post or page?) so that users understand a bit more where they are in terms
 * of the template hierarchy and their content. Helpful when/if the single-page
* layout with multiple posts/pages shown gets confusing.
 * @Theme: Manduca - focus on accessibility
 * @since 17.9
 **/
  
printf( '<div class="edit-link">%1$s<a href="%2$s">%3$s<span class="screen-reader-text"> "%4$s"</span></a></div>',
		manduca_get_svg ( array( 'icon' => 'pencil' ) ),
		get_edit_post_link(), 
		// translators: %s: Name of current post 
		__( 'Edit', 'manduca' ),
		get_the_title()
	);
   